#include <adtf_plugin_sdk.h>
using namespace adtf;

extern "C"
{
#include "libavformat/avformat.h"
}

#define OID_ADTF_VIDEO_COMPRESSION_FFMPEG_ENABLER "adtf.video_compression_ffmpeg_enabler"

class cFFmpegSrv : public ucom::cService
{
    ADTF_SERVICE_BEGIN(OID_ADTF_VIDEO_COMPRESSION_FFMPEG_ENABLER, "ADTF Video Compression FFmpeg Support Service") 
    ADTF_SERVICE_END()

public:
    cFFmpegSrv(const tChar* __name):cService(__name)
    {
        av_register_all();
    }
};

ADTF_SERVICE_PLUGIN("ADTF Video Compression FFmpeg Enabler Plugin", OID_ADTF_VIDEO_COMPRESSION_FFMPEG_ENABLER, cFFmpegSrv)
